/* root */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');

html {
    scroll-behavior: smooth;
    box-sizing: border-box;
}

* {
    font-family: 'Open Sans', sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    color: #1c1c1c;
}

body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

a {
    text-decoration: none;
}

ul {
    list-style: none;
}

:root {
    --main-color-one: #26547C;
    --main-color-two: #F45B69;
    --main-color-three: #A0C4E2;
    --main-color-four: #FFD166;
    --main-color-five: #CFE8EF;
    --p-mobile: 14px;
    --h1-mobile: 24px;
    --h2-mobile: 20px;
    --p-tablet: 14px;
    --h1-tablet: 24px;
    --h2-tablet: 20px;
    --p-laptop: 18px;
    --h1-laptop: 38px;
    --h2-laptop: 28px;
}

/* END - root */

/* Scrollbar adjustement */
::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background: var(--main-color-five);
}

/* END - Scrollbar adjustement */

/* index.php */
.page-wrapper {
    width: 100%;
    padding: 0;
    margin: 0;
}

.section-wrapper {
    width: 80%;
    margin: 0 auto;
}

.section-full {
    width: 100%;
    margin: 0 auto;
}

.section-title {
    font-size: var(--h1-laptop);
    letter-spacing: -1px;
    font-weight: 700;
    text-align: center;
}

.title-padding {
    padding: 36px 0;
}

/* END - index.php */

/* O nama */
.card-container {
    display: flex;
    justify-content: space-between;
    gap: 3%;
}

.card {
    flex: 1;
    padding-bottom: 36px;
    margin-bottom: 36px;
    border-bottom: none;
    background-color: white;
    border-bottom: 4px solid transparent;
    transition: 0.3s;
}

.card img {
    filter: grayscale(100%);
    transition: 0.30s;
    width: 100%;
    margin: 0 auto;
    padding-bottom: 36px;
}

.card:hover {
    border-bottom: 4px solid var(--main-color-two);
}

.card:hover img {
    filter: grayscale(0%);
    margin: 0 auto;
}

.card h2 {
    text-align: center;
    font-size: var(--h2-laptop);
    font-weight: 700;
    padding-bottom: 36px;
    letter-spacing: -1px;
}

.card p {
    color: black;
    font-weight: 300;
    font-size: var(--p-laptop);
    text-align: left;
}

.about-paragraph {
    width: 50%;
    margin: 0 auto;
    text-align: center;
    font-weight: 300;
    font-size: var(--p-laptop);
}

.catalog-paragraph {
    color: white;
    font-size: 24px;
    width: 50%;
    margin: 0 auto;
    font-weight: 300;
}

.catalog-paragraph-padding {
    padding: 60px 0;
}

.top-padding {
    padding-top: 36px;
}

.bottom-padding {
    padding-bottom: 36px;
}

/* END - cards */

/* header */
.header {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    width: 100%;
    padding: 40px 15%;
    justify-content: space-between;
    align-items: center;
}

hr.section-line {
    border-color: #fefefe;
    width: 80%;
    margin: 0 auto;
    margin-top: 36px;
    height: 1px;
}

.header-logo {
    width: 360px;
    margin: 0 auto;
}

.footer-logo {
    width: 280px;
    margin: 0 auto;
}

.header-text {
    font-size: var(--p-laptop);
    font-weight: 400;
}

.navbar a {
    position: relative;
    font-size: var(--p-laptop);
    font-weight: 400;
    text-decoration: none;
    margin-right: 40px;
    transition: 0.15s;
}

.navbar a:last-child {
    margin-right: 0;
}

.navbar a:hover {
    color: var(--main-color-two);
}

.navbar a::before {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    opacity: 0;
    width: 0;
    height: 1px;
    background-color: var(--main-color-two);
    transition: 0.3s;
}

.navbar a:hover::before {
    opacity: 1;
    width: 100%;
}

.hero-image h1 {
    color: white;
    font-size: var(--h1-laptop);
    letter-spacing: -1px;
}

.hero-image p {
    color: white;
    font-size: var(--p-laptop);
}

.hero-image {
    width: 70%;
    margin: 0 auto;
}

/* END - header */

/* kontakt */
.two-box-container {
    display: flex;
    width: 70%;
    margin: 0 auto;
    gap: 4%;
}

.bold {
    font-weight: 700;
}

.contact {
    width: 50%;
    float: left;
}

.contact h1 {
    text-align: left;
    font-weight: 700;
    padding-bottom: 18px;
}

.contact p {
    text-align: left;
    font-size: var(--p-laptop);
    font-weight: 300;
}

.contact-icon {
    max-height: 100%;
    height: 56px;
    margin-right: 12px;
}

.karta {
    float: right;
    width: 50%;
    max-width: 50%;
}

.iframe-karta {
    border: 0;
    float: right;
    width: 100%;
    height: 100%;
}

/* END - kontakt */

/* usluge */
.three-box-container {
    margin: 24px 0px;
    display: flex;
    justify-content: space-between;
    gap: 2%;
}

.box {
    flex: 1;
    width: 32%;
}

.service {
    flex-basis: 32%;
    margin-bottom: 24px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.service h1 {
    font-size: var(--h1-tablet);
    color: var(--main-color-one);
    letter-spacing: -2px;
    text-align: left;
    padding: 0px;
    padding-bottom: 12px;
    font-weight: 700;
}

.service p {
    font-size: var(--p-tablet);
}

.service img {
    width: 70%;
    margin: 0 auto;
    padding-bottom: 18px;
}

/* END - usluge */

/* katalog */
.categories-wrapper {
    text-align: left;
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    gap: 5%;
}

.categories-wrapper a {
    margin: 0;
    padding: 0;
    padding-bottom: 5%;
    width: 30%;
}

.service-category {
    display: flex;
    flex-direction: column;
    flex-basis: 30%;
    border-top: 1px solid lightgray;
    transition: 0.15s;
}

.service-category h1 {
    color: #1c1c1c;
    font-weight: 400;
    letter-spacing: -1px;
    text-align: left;
    font-size: 22px;
    padding: 12px 0px;
    transition: 0.15s;
    float: left;
}

.service-category-link:hover h1 {
    color: var(--main-color-one);
    transition: 0.15s;
}

.service-category-link:hover .arrow-img {
    transform: translateX(18px);
}

.service-category-link:hover .service-category {
    border-top: 1px solid var(--main-color-two);
}

.service-category img {
    max-height: 480px;
    max-width: 100%;
    width: auto;
    object-fit: contain;
    float: left;
    transform: translateX(0);
    transition: transform 0.3s ease;
}

.service-category-elements h1,
.service-category-elements img {
    display: inline-block;
    vertical-align: middle;
}

.service-category-elements img {
    width: 32px;
    margin-left: 12px;
    padding: 12px 0;
}

/* END - katalog */

/* footer */
.footer {
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    padding: 48px 0px;
    background-color: rgba(0, 0, 0, 0.05);
    margin-top: 60px;
    font-weight: 400;
}

.copyright {
    font-size: 18px;
    opacity: 0.7;
    padding-top: 24px;
}

.footer-wrapper {
    width: 70%;
    margin: 0 auto;
}

.three-footer-box {
    display: flex;
    flex-direction: row;
    gap: 2%;
}

.footer-box {
    flex-basis: 32%;
}

.contact-data {
    line-height: 1.5;
}

.copyright-paragraph,
.adresa,
.radno-vrijeme {
    font-size: 16px;
    line-height: 2.2;
}

.radno-vrijeme {
    text-align: right;
}

.adresa {
    text-align: left;
}

/* END - footer */

/* Administracija */
form {
    max-width: 100%;
    display: flex;
    flex-direction: column;
}

.form-button {
    width: 100%;
    margin-top: 6px;
}

input {
    width: 100%;
    padding: 12px;
    margin-bottom: 20px;
    font-size: 14px;
}

textarea {
    width: 100%;
    padding: 12px;
    margin-bottom: 12px;
    font-size: 14px;
    min-height: 128px;
}

input[type=submit] {
    background-color: var(--main-color-one);
    color: white;
    border: 2px solid var(--main-color-one);
    cursor: pointer;
    font-size: 16px;
}

input[type=reset] {
    font-size: 16px;
}

input[type=submit]:hover {
    opacity: 86%;
}

.input-type {
    width: 100%;
    padding: 12px;
    margin-bottom: 12px;
    font-size: 14px;
    background-image: url("images/dropdownIcon.png");
    background-position: 94%;
    background-size: 4%;
    background-repeat: no-repeat;
    appearance: none;
}

.two-elements {
    display: flex;
    gap: 5%;
}

.left-element {
    margin-bottom: 24px;
}

.right-element {
    margin-bottom: 24px;
}

.left-element h1 {
    margin-bottom: 24px;
}

.right-element h1 {
    margin-bottom: 24px;
}

.left-element {
    flex-basis: 30%;
}

.right-element {
    flex-basis: 70%;
    max-width: 80%;
}

.two-inputs {
    display: flex;
    gap: 2%;
}

.input-two {
    flex-basis: 50%;
}

.three-inputs {
    display: flex;
    gap: 2%;
}

.input-three {
    flex-basis: 33.33333%;
}

label {
    float: left;
    padding-bottom: 4px;
    color: #1c1c1c;
    font-weight: 500;
}

#tablica-cijena {
    border-collapse: collapse;
    width: 100%;
    border: 0px solid white;
    margin-bottom: 12px;
}

td {
    max-width: 48px;
    margin: 0;
    padding: 4px;
    border: 1px solid black;
}

#top {
    border: 0px solid black;
}

#title {
    border: 1px solid black;
}

#data {
    border: 1px solid black;
}

table.product-edit th,
td {
    text-align: left;
}

table.product-edit th,
table.product-edit td,
table.product-edit tr {
    border: none;
}

table.product-edit {
    border: none;
    width: 100%;
    border-collapse: collapse;
}

table.product-edit thead th {
    position: sticky;
    top: 0;
    background-color: white;
}

div.product-table-div {
    max-height: 360px;
    overflow-y: scroll;
}

table.product-edit a {
    display: block;
    color: #1c1c1c;
    transition: 0.15s;
}

table.product-edit td {
    padding: 8px 0;
}

table.product-edit tr {
    border-bottom: 1px solid grey;
}

table.product-edit a:hover {
    color: #17a4e5;
}

.administracija {
    display: block;
}

.administracija-obavijest {
    margin: 0 auto;
    font-size: var(--h2-mobile);
    width: 80%;
    text-align: center;
    display: none;
}
.administrationnotification {
    width: 50%;
    margin: 0 auto;
    text-align: center;
    background-color: #00da50;
    padding: 2px;
}

/* END - administracija */

/* usluga */
.image-container {
    width: 80%;
    max-width: 80%;
    display: flex;
    flex-direction: row;
    margin: 0 auto;
    object-fit: contain;
    min-height: 520px;
}

.service-image {
    height: 520px;
    width: auto;
    max-width: 34%;
    object-fit: contain;
    margin-right: 28px;
    padding-bottom: 24px;
    border-bottom: 2px solid var(--main-color-three);
    transition: 0.3s;
}

.service-image:hover {
    border-bottom: 2px solid var(--main-color-two);

}

.service-title {
    font-size: var(--h1-laptop);
    letter-spacing: -1px;
}

.service-subtitle {
    font-size: var(--h2-laptop);
    font-weight: 700;
    letter-spacing: -1px;
    padding-bottom: 12px;
    text-transform: uppercase;
}

.service-description {
    font-size: var(--p-laptop);
}

/* END - usluga */

/* pagenotfound.php */
.pagenotfound {
    padding-top: 36px;
    margin: 0 auto;
    width: 50%;
    text-align: center;
    justify-content: center;
}

.pagenotfound-title {
    margin-top: 24px;
    margin-bottom: 24px;
    font-weight: 700;
    letter-spacing: -1px;
    font-size: 32px;
}

.pagenotfound p {
    font-size: var(--p-laptop);
}

.link-styling {
    color: var(--main-color-one);
    transition: 0.15s;
    opacity: 1;
}

.link-styling:hover {
    opacity: 0.8;
}

/* END - pagenotfound.php */

/* Online katalog */
#flipbook {
    width: 800px;
    height: 600px;
}

/* END - Online katalog */

/* back to top gumb */
.backtotop {
    position: relative;
    z-index: 1000;
    opacity: 1;
    transition: 0.3s;
}

.backtotop:hover {
    opacity: 0.9;
}

#scroll {
    position: fixed;
    right: 50px;
    bottom: 50px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    background-color: var(--main-color-two);
    text-indent: -9999px;
    display: none;
    border-radius: 60px;
}

#scroll span {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -8px;
    margin-top: -12px;
    height: 0;
    width: 0;
    border: 8px solid transparent;
    border-bottom-color: #ffffff;
}

#scroll:hover {
    background-color: var(--main-color-two);
    opacity: 1;
    filter: "alpha(opacity=100)";
}

/* END - back to top gumb */

/* portfolio */
.portfolio-wrapper {
    text-align: left;
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    gap: 2%;
    padding-top: 60px;
}

.portfolio-column {
    display: flex;
    flex-direction: column;
    flex-basis: 32%;
    margin-bottom: 5%;
}

.portfolio-column img {
    width: 100%;
    padding-bottom: 36px;
}

.portfolio-paragraph {
    margin: 0 auto;
    width: 80%;
    font-size: var(--p-laptop);
    font-weight: 400;
}

/* END - portfolio */

/* Button - naše usluge */
.btn {
    border: none;
    font-family: inherit;
    font-size: inherit;
    color: inherit;
    background: none;
    cursor: pointer;
    padding: 22px 68px;
    display: inline-block;
    margin: 15px 30px;
    text-transform: uppercase;
    font-weight: 700;
    outline: none;
    position: relative;
    transition: all 0.3s;
}

.btn:after {
    content: '';
    position: absolute;
    z-index: -1;
    transition: all 0.3s;
}

.btn-1 {
    border: 3px solid white;
    color: white;
}

.btn-1b:after {
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    background: var(--main-color-one);
}

.btn-1b:hover,
.btn-1b:active {
    color: var(--main-color-one);
    background-color: white;
}

.btn-1b:hover:after,
.btn-1b:active:after {
    height: 100%;
}

/* END - button naše usluge */

/* login.php */
div.signin-section {
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    gap: 4%;
}

.input-div-full {
    width: 100%;
}

.signin-form {
    width: 100%;
}

#showPassword {
    width: 18px;
    height: 18px;
    margin-right: 6px;
}

.form-buttons {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 16px;
    margin-top: 6px;
}

/* END - login.php */

/* Full size image modal */
.opis-cijene {
    padding-top: 48px;
}

.portfolio {
    display: flex;
    flex-wrap: wrap;
}

.portfolio-image {
    max-width: 100%;
    height: auto;
}

.modal-content {
    max-width: 95%;
    max-height: 95%;
    margin: 0 auto;
    display: blocK;
    border: 8px solid white;
}

.modal {
    display: none;
    position: fixed;
    z-index: 10000;
    left: 0;
    top: 0;
    padding-top: 2.5%;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
}

.close-button {
    position: absolute;
    top: 6px;
    right: 32px;
    font-size: 48px;
    color: white;
    cursor: pointer;
}

#full-size-image {
    display: block;
    margin: 0 auto;
    max-width: 95%;
    max-height: 95%;
    border: 8px solid white;
}

/* END - full size image modal */

/* Uzorci */
.sample-container {
    display: flex;
    flex-wrap: wrap;
    gap: 2%;
}

.sample-image {
    width: 15%;
    margin-bottom: 1.2%;
}

.sample-image img {
    width: 100%;
}

/* END - uzorci */

/* Tablet uređaji */
@media only screen and (max-width: 768px) {

    /* Katalog */
    .categories-wrapper {
        width: 90%;
        gap: 2.5%;
    }

    .categories-wrapper a {
        flex-basis: 48.75%;
    }

    #usluge p {
        width: 90%;
        margin: 0 auto;
    }

    /* END - Katalog */

    /* Portfolio */
    .portfolio-paragraph {
        font-size: var(--p-tablet);
        width: 100%;
    }

    .portfolio-column img {
        padding-bottom: 12px;
    }

    #full-size-image {
        border: none;
    }

    /* END - Portfolio */
    /* index.php */
    .section-wrapper {
        width: 100%;
    }

    .section-title {
        font-size: var(--h1-tablet);
    }

    .title-padding {
        padding: 24px 0;
    }

    /* END - index.php */

    /* Header */
    .navbar a {
        margin-right: 18px;
        font-size: var(--p-tablet);
    }

    .header {
        padding: 24px 0;
        flex-direction: column;
    }

    .header-logo {
        padding-bottom: 12px;
    }

    /* END - Header */

    /* welcome */
    .hero-image {
        width: 85%;
    }

    /* END - welcome */

    /* O nama */
    .card-container {
        flex-wrap: wrap;
        gap: 5%;
    }

    .card {
        flex-basis: 42%;
    }

    .card img {
        filter: grayscale(0);
        padding-bottom: 18px;
    }

    .card h2 {
        font-size: var(--h2-tablet);
        padding-bottom: 18px;
    }

    .card p {
        font-size: var(--p-tablet);
    }

    .catalog-paragraph {
        font-size: var(--p-laptop);
    }

    .catalog-paragraph-padding {
        padding: 24px 0;
    }

    .about-paragraph {
        font-size: var(--p-tablet);
        width: 70%;
    }

    .top-padding {
        padding-top: 24px;
    }

    .bottom-padding {
        padding-bottom: 24px;
    }

    .btn {
        padding: 16px 42px;
    }

    /* END - O nama */

    /* Kontakt */
    #scroll {
        width: 38px;
        height: 38px;
        right: 38px;
        bottom: 38px;
    }

    .contact p {
        font-size: 16px;
    }

    .two-box-container {
        width: 85%;
    }

    .contact-icon {
        height: 48px;
    }

    .adresa {
        font-size: 12px;
    }

    .radno-vrijeme {
        font-size: 12px;
    }

    /* END - Kontakt */

    /* Footer */
    .footer-wrapper {
        width: 90%;
        padding: 0;
    }

    .footer-logo {
        width: 220px;
    }

    .copyright-paragraph {
        font-size: 12px;
    }

    /* END - Footer */

    /* Administracija */
    .administracija {
        display: none;
    }

    .administracija-obavijest {
        display: block;
    }

    /* END - administracija */

}

/* Mobilni uređaji */
@media only screen and (max-width: 480px) {
    .section-wrapper {
        width: 100%;
    }

    .section-title {
        font-size: var(--h1-mobile);
    }

    .title-padding {
        padding: 12px 0;
    }

    /* header.php */
    .header {
        padding: 24px 0;
    }

    .hero-image {
        width: 100%;
    }

    .header-logo {
        width: 240px;
        padding-bottom: 12px;
        margin-bottom: 0;
    }

    .navbar a {
        font-weight: 500;
        margin-right: 6px;
        font-size: var(--p-mobile);
    }

    hr.thick-line {
        width: 30%;
        height: 4px;
    }

    .about-paragraph {
        width: 90%;
    }

    /* END - header.php */

    /* O nama */
    .card-container {
        flex-wrap: wrap;
        gap: 0;
    }

    .card {
        flex-basis: 100%;
    }

    .catalog-paragraph {
        width: 80%;
    }

    .btn {
        padding: 18px 48px;
    }

    /* END - O nama */

    /* Kontakt */
    .two-box-container {
        display: flex;
        flex-wrap: wrap;
    }

    .two-box-container div {
        flex-basis: 100%;
    }

    .karta {
        padding-top: 24px;
        width: 100%;
        max-width: 100%;
    }

    .iframe-karta {
        height: 320px;
    }

    .contact h1 {
        font-size: var(--h1-mobile);
        text-align: center;
    }

    .contact p {
        font-size: var(--p-mobile);
    }

    /* END - Kontakt */

    /* Footer */
    .three-footer-box {
        display: flex;
        flex-wrap: wrap;
    }

    .footer-box {
        flex-basis: 100%;
    }

    .adresa {
        font-size: var(--p-mobile);
        text-align: center;
        padding-bottom: 28px;
    }

    .copyright-paragraph {
        font-size: var(--p-mobile);
        padding-bottom: 28px;
    }

    .radno-vrijeme {
        font-size: var(--p-mobile);
        text-align: center;
    }

    /* END - Footer */

    /* Portfolio */
    .portfolio-paragraph {
        width: 100%;
        font-weight: 300;
    }

    .portfolio-column img {
        padding-bottom: 8px;
    }

    #full-size-image {
        margin-top: 16%;
    }

    /* END - Portfolio */

    /* Back to top button */
    #scroll {
        right: 24px;
        bottom: 24px;
        cursor: pointer;
        width: 32px;
        height: 32px;
    }

    /* END - Back to top button */

    /* Katalog */
    .categories-wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: unset;
        gap: 0;
    }

    .categories-wrapper a {
        flex-basis: 100%;
        margin-top: 24px;
    }

    .service-category {
        margin-top: 24px;
        width: 90%;
        margin: 0 auto;
    }

    #usluge p {
        width: 90%;
        margin: 0 auto;
    }

    .opis-cijene {
        padding-top: 24px;
    }

    /* END - Katalog */

    /* Usluga */
    .image-container {
        flex-direction: column;
        min-height: 0;
        width: 100%;
    }

    .service-image {
        width: 100%;
        max-width: 100%;
        height: auto;
        margin-right: 0;
        padding-bottom: 24px;
        border-bottom: none;
    }

    .service-title {
        font-size: var(--h1-mobile);
    }

    .two-elements {
        flex-direction: column;
    }

    .right-element {
        flex-basis: 100%;
        max-width: 80%;
        width: 80%;
        margin: 0 auto;
        padding-bottom: 24px;
    }

    .service-subtitle {
        font-size: var(--h2-mobile);
    }

    .service-description {
        font-size: var(--p-mobile);
    }

    .modal-content {
        border: none;
        width: 95%;
        object-fit: contain;
    }

    /* END - Usluga */
}